Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# MProfile.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "ace/Recursive_Thread_Mutex.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/orbconf.h"`
`#include "tao/MProfile.i"`

Include dependency graph for MProfile.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Classes
class | TAO_MProfile
| This class implements the basic interface for supporting multiple profiles. More...
## Typedefs
typedef CORBA::ULong | TAO_PHandle

## Detailed Description

Id
  MProfile.h,v 1.43 2005/11/02 07:13:03 ossama Exp

Keep track of profile lists

Author:
  Fred Kuhns <fredk@cs.wustl.edu>

## Typedef Documentation

typedef CORBA::ULong TAO_PHandle